%define svndate 20070310

# cronyx must start before zaptel
# asterisk must start after zaptel

%def_with agressive_suppressor

Name: zaptel
Version: 1.4
Release: alt0.svn%svndate
Epoch: %svndate
Summary: Zapata Telephony
License: GPL
Group: System/Kernel and hardware

Packager: Denis Smirnov <mithraen@altlinux.ru>

Source: %name.tar
Source2: %name.init
Source3: zaptel.rules
Source4: zaptel.sysconfig

Patch1: %name.seiros.patch
Patch2: %name.sangoma.patch

Requires: udev asterisk-base

BuildPreReq: libnewt-devel

BuildRequires: kernel-headers-modules-std-smp

%package test
Requires: %name = %epoch:%version-%release
Summary: Zaptel test tools (timertest, ztmonitor, ztspeed, zttest)
Group: %group

%package zttool
Requires: %name = %epoch:%version-%release
Summary: Zaptel tool shows status of Digium's interface cards
Group: %group

%package devel
Requires: libtonezone = %epoch:%version-%release
Summary: Zaptel development files
Group: %group

%package -n genzaptelconf
Summary: Zaptel autoconfiguration
Group: %group

%package -n libtonezone
Summary: Zaptel tonezone library for Asterisk
Group: %group

%description -n libtonezone
Zaptel tonezone library for Asterisk

%package -n kernel-source-%name
Summary: Linux %name module sources
Group: Development/Kernel

%description
%summary

%description -n genzaptelconf
Zwptel autoconfiguration

%description devel
Zaptel development files

%description test
Zaptel test tools (timertest, ztmonitor, ztspeed, zttest)

%description zttool
Zaptel tool shows status of Digium's interface cards

%description -n kernel-source-%name
This package contains %name sources for Linux kernel module

%description -n kernel-source-%name -l ru_RU.KOI8-R
    %name    

%prep
%setup -c
%patch1 -p0
%patch2 -p1

# spinlock

#subst 's!^#define ECHO_.*!/* & */!g' zconfig.h
#subst 's!.*#define ECHO_CAN_KB1.*!#define ECHO_CAN_KB1!g' zconfig.h

t="$RPM_SOURCE_DIR/kernel-source-%name-%version"
%__rm -rf "$t"
mkdir -p $t/zaptel
cp -a ./ "$t/zaptel"
mv "$t" .

%build

#export LDFLAGS=-Wl,--as-needed
./configure
%make_build programs
%make_build ztcfg torisatool makefw ztmonitor ztspeed zttool zttest \
	libtonezone.so \
	timertest \
	fxotune \
	ztdiag \
	sethdlc-new

#subst 's!linux/zaptel.h!zaptel.h!' tonezone.h

%install
install -D -m 755 fxotune %buildroot%_sbindir/fxotune
install -D -m 755 ztcfg %buildroot%_sbindir/ztcfg
install -D -m 755 zttool %buildroot%_sbindir/zttool
install -D -m 755 zttest %buildroot%_sbindir/zttest
install -D -m 755 ztdiag %buildroot%_sbindir/ztdiag
install -D -m 755 ztmonitor %buildroot%_sbindir/ztmonitor
install -D -m 755 timertest %buildroot%_sbindir/timertest
install -D -m 755 ztspeed %buildroot%_sbindir/ztspeed
install -D -m 755 libtonezone.so %buildroot%_libdir/libtonezone.so.1.0
install -D -m 644 zaptel.h %buildroot/usr/include/linux/zaptel.h
install -D -m 644 tonezone.h %buildroot/usr/include/tonezone.h
install -D -m 644 zaptel.conf.sample %buildroot%_sysconfdir/zaptel.conf
install -D -m 644 %SOURCE4 %buildroot%_sysconfdir/sysconfig/zaptel
install -D -m 700 %SOURCE2 %buildroot%_initdir/zaptel
install -D -m 700 %SOURCE3 %buildroot%_sysconfdir/udev/rules.d/00-zaptel.rules
mkdir -p %buildroot%_man8dir
install xpp/utils/*.8 doc/*.8 %buildroot%_man8dir/
ln -s libtonezone.so.1.0 %buildroot%_libdir/libtonezone.so.1
ln -s libtonezone.so.1.0 %buildroot%_libdir/libtonezone.so
install xpp/utils/genzaptelconf %buildroot%_sbindir/genzaptelconf

# Additional headers
mkdir -p %buildroot%_includedir/zaptel/
install ecdis.h %buildroot%_includedir/zaptel/
install zconfig.h %buildroot%_includedir/zaptel/
install biquad.h %buildroot%_includedir/zaptel/

# Make kernel-source tarball
mkdir -p %buildroot%_usrsrc/kernel/sources
du -hsc kernel-source-%name-%version
%__tar cjf \
        %buildroot%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2 \
	kernel-source-%name-%version

mkdir -p %buildroot%_includedir/zaptel
mv %buildroot/%_includedir/linux/*.h %buildroot/%_includedir/zaptel/
mv %buildroot/%_includedir/*.h %buildroot/%_includedir/zaptel/
install -m644 -D fasthdlc.h %buildroot%_includedir/zaptel/fasthdlc.h

%preun
%preun_service zaptel
%post
%post_service zaptel

%files -n libtonezone
%_libdir/libtonezone.so
%_libdir/libtonezone.so.1
%_libdir/libtonezone.so.1.0

%files
%exclude %_sbindir/zttool
%_man8dir/ztcfg.8.*
%_sbindir/ztcfg
%config(noreplace) %_sysconfdir/%name.conf
%_initdir/%name
%config(noreplace) %_sysconfdir/sysconfig/%name
%attr(0644,root,root) %_sysconfdir/udev/rules.d/00-%name.rules
%_sbindir/fxotune
%_man8dir/fxotune.8.*
%exclude %_man8dir/torisatool.8.*

%files -n genzaptelconf
%_sbindir/genzaptelconf
%_man8dir/genzaptelconf.8.*

%files zttool
%_sbindir/zttool
%_man8dir/zttool.8.*

%files test
%_sbindir/ztdiag
%_sbindir/zttest
%_man8dir/zttest.8.*
%_sbindir/ztspeed
%_man8dir/ztspeed.8.*
%_sbindir/ztmonitor
%_man8dir/ztmonitor.8.*
%_sbindir/timertest

%files devel
%dir %_includedir/zaptel
%_includedir/zaptel/*.h
#_includedir/fasthdlc.h

%files -n kernel-source-%name
%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2

%changelog
* Sat Mar 10 2007 Denis Smirnov <mithraen@altlinux.ru> 20070310:1.4-alt0.svn20070310
- update to last 1.4 branch version (needed for chan_zap in last Asterisk)
- move zaptel-echo to separate package zaptel-echoutils

* Mon Feb 26 2007 Denis Smirnov <mithraen@altlinux.ru> 20070226:1.4-alt0.svn20070226
- update to last 1.4 branch version (needed for codec_zap support in Asterisk)

* Thu Feb 22 2007 Denis Smirnov <mithraen@altlinux.ru> 20070222:1.3-alt0.13
- move cronyx software to separate package (cronyx)

* Thu Feb 22 2007 Denis Smirnov <mithraen@altlinux.ru> 20070222:1.3-alt0.12.20070222
- upstream update

* Fri Dec 01 2006 Denis Smirnov <mithraen@altlinux.ru> 20061028:1.3-alt0.12.20061028
- update cronyx drivers to 6.0 rc11

* Sat Oct 28 2006 Denis Smirnov <mithraen@altlinux.ru> 20061028:1.3-alt0.11.20061028
- multiple fixes from upstream

* Thu Oct 12 2006 Denis Smirnov <mithraen@altlinux.ru> 20061012:1.3-alt0.11.20061012
- fix modules building

* Thu Oct 12 2006 Denis Smirnov <mithraen@altlinux.ru> 20061012:1.3-alt0.10.20061012
- remove echo debugging patches from Sangoma, use only HDLC

* Thu Oct 12 2006 Denis Smirnov <mithraen@altlinux.ru> 20061012:1.3-alt0.9.20061012
- patch for HDLC echo debugging from Sangoma

* Sat Oct 07 2006 Denis Smirnov <mithraen@altlinux.ru> 20061007:1.3-alt0.9.20061007
- svn update
- add condrestart/condreload to initscript
- rename zaptel.rules

* Thu Sep 21 2006 Denis Smirnov <mithraen@altlinux.ru> 20060921:1.3-alt0.9.20060921
- svn update

* Wed Sep 20 2006 Denis Smirnov <mithraen@altlinux.ru> 20060920:1.3-alt0.9.20060920
- svn update

* Tue Sep 19 2006 Denis Smirnov <mithraen@altlinux.ru> 20060919:1.3-alt0.9.20060919
- svn update

* Sun Sep 17 2006 Denis Smirnov <mithraen@altlinux.ru> 20060917:1.3-alt0.9.20060917
- svn update

* Sat Sep 16 2006 Denis Smirnov <mithraen@altlinux.ru> 20060916:1.3-alt0.9.20060916
- svn update

* Fri Sep 15 2006 Denis Smirnov <mithraen@altlinux.ru> 20060915:1.3-alt0.9.20060915
- svn update

* Thu Sep 14 2006 Denis Smirnov <mithraen@altlinux.ru> 20060914:1.3-alt0.9.20060914
- svn update

* Wed Sep 13 2006 Denis Smirnov <mithraen@altlinux.ru> 20060913:1.3-alt0.9.20060913
- svn update

* Tue Sep 12 2006 Denis Smirnov <mithraen@altlinux.ru> 20060912:1.3-alt0.9.20060912
- svn update

* Mon Sep 11 2006 Denis Smirnov <mithraen@altlinux.ru> 20060911:1.3-alt0.9.20060911
- svn update

* Sun Sep 10 2006 Denis Smirnov <mithraen@altlinux.ru> 20060910:1.3-alt0.9.20060910
- svn update

* Sat Sep 09 2006 Denis Smirnov <mithraen@altlinux.ru> 20060909:1.3-alt0.9.20060909
- svn update

* Fri Sep 08 2006 Denis Smirnov <mithraen@altlinux.ru> 20060908:1.3-alt0.9.20060908
- svn update

* Thu Sep 07 2006 Denis Smirnov <mithraen@altlinux.ru> 20060907:1.3-alt0.9.20060907
- svn update

* Wed Sep 06 2006 Denis Smirnov <mithraen@altlinux.ru> 20060906:1.3-alt0.9.20060906
- svn update

* Tue Sep 05 2006 Denis Smirnov <mithraen@altlinux.ru> 20060905:1.3-alt0.9.20060905
- svn update

* Mon Sep 04 2006 Denis Smirnov <mithraen@altlinux.ru> 20060904:1.3-alt0.9.20060904
- svn update

* Sun Sep 03 2006 Denis Smirnov <mithraen@altlinux.ru> 20060903:1.3-alt0.9.20060903
- svn update

* Sat Sep 02 2006 Denis Smirnov <mithraen@altlinux.ru> 20060902:1.3-alt0.9.20060902
- svn update

* Fri Sep 01 2006 Denis Smirnov <mithraen@altlinux.ru> 20060901:1.3-alt0.9.20060901
- svn update
- preun/post_service added

* Thu Aug 31 2006 Denis Smirnov <mithraen@altlinux.ru> 20060831:1.3-alt0.9.20060831
- svn update

* Wed Aug 30 2006 Denis Smirnov <mithraen@altlinux.ru> 20060830:1.3-alt0.9.20060830
- svn update
- genzaptelconf added

* Tue Aug 29 2006 Denis Smirnov <mithraen@altlinux.ru> 20060829:1.3-alt0.9.20060829
- svn update

* Sun Aug 20 2006 Denis Smirnov <mithraen@altlinux.ru> 20060820:1.3-alt0.9.20060820
- cronyx modules update

* Sat Aug 19 2006 Denis Smirnov <mithraen@altlinux.ru> 20060819:1.3-alt0.9.20060819
- added russian indication config to libtonezone

* Fri Aug 18 2006 Denis Smirnov <mithraen@altlinux.ru> 20060818:1.3-alt0.9.20060818
- svn update

* Sun Aug 13 2006 Denis Smirnov <mithraen@altlinux.ru> 20060812:1.3-alt0.9.20060812
- requires asterisk-base

* Fri Jul 07 2006 Denis Smirnov <mithraen@altlinux.ru> 20060707:1.3-alt0.9.20060707
- zaptel update

* Mon Jul 03 2006 Denis Smirnov <mithraen@altlinux.ru> 20060703:1.3-alt0.9.20060703
- ztdummy with PLL

* Mon Jul 03 2006 Denis Smirnov <mithraen@altlinux.ru> 20060703:1.3-alt0.8.20060703
- svn update

* Mon Jun 26 2006 Denis Smirnov <mithraen@altlinux.ru> 20060626:1.3-alt0.7.20060626
- zaptel transcoding added

* Sat Jun 03 2006 Denis Smirnov <mithraen@altlinux.ru> 20060603:1.3-alt0.6.20060603
- some fixes

* Sun May 21 2006 Denis Smirnov <mithraen@altlinux.ru> 20060520:1.3-alt0.5.20060520
- svn update
- added many features to fxotune

* Sun Mar 19 2006 Denis Smirnov <mithraen@altlinux.ru> 20060319:1.3-alt0.4.20060319
- svn update

* Mon Mar 13 2006 Denis Smirnov <mithraen@altlinux.ru> 20060225:1.3-alt0.3.20060225
- fixed building with --as-needed

* Sat Feb 25 2006 Denis Smirnov <mithraen@altlinux.ru> 20060225:1.3-alt0.2.20060225
- libtonezone moved to own package

* Mon Feb 13 2006 Denis Smirnov <mithraen@altlinux.ru> 20060213:1.2-alt13.20060213
- version update

* Sat Feb 04 2006 Denis Smirnov <mithraen@altlinux.ru> 20060204:1.2-alt12.20060204
- version update
- MG2 echo suppressor used by default

* Thu Feb 02 2006 Denis Smirnov <mithraen@altlinux.ru> 20060128:1.2-alt11.20060128
- zaphfc from bristuff added

* Sat Jan 28 2006 Denis Smirnov <mithraen@altlinux.ru> 20060128:1.2-alt10.20060128
- zaptel software echo dump/restore

* Mon Jan 09 2006 Denis Smirnov <mithraen@altlinux.ru> 20060109:1.2-alt9.20060109
- svn update
- requires udev (for /dev/zap creation)

* Fri Dec 30 2005 Denis Smirnov <mithraen@altlinux.ru> 20051230:1.2-alt8.20051230
- svn update (patches for echo suppressor)
- packaging udev rules
- not loading cronyx modules by default

* Sun Dec 25 2005 Denis Smirnov <mithraen@altlinux.ru> 20051224:1.2-alt7.20051224
- use %%config(noreplace) for zaptel.conf (bug #8687)

* Sat Dec 24 2005 Denis Smirnov <mithraen@altlinux.ru> 20051224:1.2-alt6.20051224
- Cronyx modules update to 5.0.1
- spinlock fixes

* Sat Dec 24 2005 Denis Smirnov <mithraen@altlinux.ru> 20051224:1.2-alt5.20051224
- svn update

* Tue Dec 20 2005 Denis Smirnov <mithraen@altlinux.ru> 20051217:1.2-alt4.20051217
- spinlock fixes for Cronyx modules (thanks to lakostis@)

* Sat Dec 17 2005 Denis Smirnov <mithraen@altlinux.ru> 20051217:1.2-alt3.20051217
- cvs update

* Tue Dec 13 2005 Denis Smirnov <mithraen@altlinux.ru> 20051211:1.2-alt2
- fix nasty bug in wctdm

* Sun Dec 11 2005 Denis Smirnov <mithraen@altlinux.ru> 20051211:1.2-alt1
- patch for more accurate timing for ztdummy
- cvs update
- correction descriptions/summary (thanks to Eugene Prokopiev)

* Sat Dec 03 2005 Denis Smirnov <mithraen@altlinux.ru> 20051203:1.0-alt17
- cvs update
- cleanup for building in other distro

* Thu Nov 17 2005 Denis Smirnov <mithraen@altlinux.ru> 20051117:1.0-alt16
- add %_sysconfdir/udev/zaptel.rules

* Thu Nov 17 2005 Denis Smirnov <mithraen@altlinux.ru> 20051117:1.0-alt15
- new module added (for 24-port FXO/FXS)

* Wed Nov 16 2005 Denis Smirnov <mithraen@altlinux.ru> 20051116:1.0-alt14
- cvs update
- package fasthdlc.h

* Tue Nov 01 2005 Denis Smirnov <mithraen@altlinux.ru> 20051030:1.0-alt13
- cvs update
- MG2 echo suppressor updated

* Sun Oct 30 2005 Denis Smirnov <mithraen@altlinux.ru> 20051030:1.0-alt12
- cvs update
- KB1 echo suppressor updated

* Thu Oct 27 2005 Denis Smirnov <mithraen@altlinux.ru> 20051018:1.0-alt11
- KB1 echo suppressor by default

* Thu Oct 27 2005 Denis Smirnov <mithraen@altlinux.ru> 20051018:1.0-alt10
- MG2 echo suppressor

* Tue Oct 18 2005 Denis Smirnov <mithraen@altlinux.ru> 20051018:1.0-alt9
- cvs update
- MG1 echo suppressor
- agressive echo suppressor disabled

* Wed Aug 17 2005 Denis Smirnov <mithraen@altlinux.ru> 20050813:1.0-alt7
- agressive echo suppressor

* Wed Aug 17 2005 Denis Smirnov <mithraen@altlinux.ru> 20050813:1.0-alt7
- support for Cronyx cards fixed
- initscript fixed

* Wed Aug 17 2005 Denis Smirnov <mithraen@altlinux.ru> 20050813:1.0-alt6
- fix tonezone.h (path to zaptel.h)

* Sun Aug 14 2005 Denis Smirnov <mithraen@altlinux.ru> 20050813:1.0-alt5
- Added configuration binary for Cronyx cards

* Sat Aug 13 2005 Denis Smirnov <mithraen@altlinux.ru> 20050813:1.0-alt4
- version update
- /usr/include/linux/*.h moved to /usr/include/
- added support for Cronyx cards

* Wed Feb 02 2005 Denis Smirnov <mithraen@altlinux.ru> 20050202:1.0-alt3
- version update

* Mon Jan 24 2005 Denis Smirnov <mithraen@altlinux.ru> 20050124:1.0-alt2
- version update

* Mon Jan 10 2005 Denis Smirnov <mithraen@altlinux.ru> 20050110:1.0-alt1
- version update

* Thu Dec 30 2004 Denis Smirnov <mithraen@altlinux.ru> 20041230:1.0-alt1
- version update

* Sat Dec 25 2004 Denis Smirnov <mithraen@altlinux.ru> 20041225:1.0-alt1
- version update

* Fri Dec 17 2004 Denis Smirnov <mithraen@altlinux.ru> 20041217:1.0-alt1
- first builded
- libtonezone fix

